<?php
/**
 * Register block styles.
 *
 * @package brahma
 */

namespace Brahma;

/**
 * Register Block Sytle Button
 * Button Ghost and Style one
 */
function brahma_register_block_styles() {
	$block_styles = array(
		'core/button'     => array(
			'button-ghost' => __( 'Ghost', 'brahma' ),
			'style-one'    => __( 'Style 1', 'brahma' ),
			'style-two'    => __( 'Style 2: Icon 24x24', 'brahma' ),
			'style-three'  => __( 'Style 3: Icon 32x32', 'brahma' ),
		),
		'core/navigation' => array(
			'mobile-menu-left'   => __( 'Left Align Mobile Menu ', 'brahma' ),
			'mobile-menu-center' => __( 'Center Align Mobile Menu', 'brahma' ),
			'mobile-menu-right'  => __( 'Right Align Mobile Menu', 'brahma' ),
		),
	);

	foreach ( $block_styles as $block => $styles ) {
		foreach ( $styles as $style_name => $style_label ) {
			register_block_style(
				$block,
				array(
					'name'  => $style_name,
					'label' => $style_label,
				)
			);
		}
	}
}
add_action( 'init', BRAHMA_NS . 'brahma_register_block_styles' );
